package cn.wise.sc.energy.power.plant.business.constant;

/**
 * @description: 首页展示的实时数据折线图名字
 * @author: qh
 * @create: 2020-06-01 10:53
 **/
public enum RealTimeDataChartType {

    /**
     * 各机组功率趋势图
     */
    POWER_CHART("POWER_CHART", 1),
    /**
     * 各机组报警点数对比
     */
    WARN_CHART("WARN_CHART", 2),
    /**
     * 各机组累计报警次数对比
     */
    WARN_TOTAL_CHART("WARN_TOTAL_CHART", 3),
    /**
     * 汇总实时数据
     */
    ELECTRICITY_VOLTAGE_CHART("ELECTRICITY_VOLTAGE_CHART", 4),
    /**
     * 各机组振动棒状对比图
     */
    VIBRATION_CHART("VIBRATION_CHART", 5),
    /**
     * 各机组轴瓦温度柱状图
     */
    TEMPERATURE_CHART("TEMPERATURE_CHART", 6);

    /**
     * 折线图名字
     */
    private String name;

    /**
     * 编码
     */
    private int code;

    RealTimeDataChartType(String name, int code) {
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public int getCode() {
        return code;
    }
}
